<?php
/**
 * Dynamic CSS
 */
function interior_services_dynamic_css() {
	$interior_services_primary_color = get_theme_mod( 'interior_services_primary_color', '#A6A182' );

	$interior_services_site_title_font       = get_theme_mod( 'interior_services_site_title_font', 'Montserrat' );
	$interior_services_site_description_font = get_theme_mod( 'interior_services_site_description_font', 'Montserrat' );
	$interior_services_header_font           = get_theme_mod( 'interior_services_header_font', 'Montserrat' );
	$interior_services_content_font          = get_theme_mod( 'interior_services_content_font', 'Montserrat' );

	// Enqueue Google Fonts
	$interior_services_fonts_url = interior_services_get_fonts_url();
	if ( ! empty( $interior_services_fonts_url ) ) {
		wp_enqueue_style( 'interior-services-google-fonts', esc_url( $interior_services_fonts_url ), array(), null );
	}

	$interior_services_custom_css  = '';
	$interior_services_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $interior_services_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$interior_services_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $interior_services_header_font ) . '", sans-serif;
        --font-content: "' . esc_attr( $interior_services_content_font ) . '", sans-serif;
    }


    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $interior_services_content_font ) . '", sans-serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a, header.site-header .header-main-wrapper:not(.transparent-header) .bottom-header-outer-wrapper .bottom-header-part .bottom-header-part-wrapper .site-branding .site-identity .site-title .slider-text {
        font-family: "' . esc_attr( $interior_services_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $interior_services_site_description_font ) . '", sans-serif !important;
	}
    ';

	wp_add_inline_style( 'interior-services-style', $interior_services_custom_css );
}
add_action( 'wp_enqueue_scripts', 'interior_services_dynamic_css', 99 );